Bug 206003 - ports-mgmt/pkg crash if env variable HTTP_USER_AGENT is empty
Summary: ports-mgmt/pkg crash if env variable HTTP_USER_AGENT is empty
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-pkg mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-07 12:15 UTC by Andrew Romanenko
Modified: 2016-04-03 00:39 UTC (History)
3 users (show)

See Also:
junovitch: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2016-01-07 12:15:29 UTC
pkg crash if env variable HTTP_USER_AGENT is empty
Comment 1 Tobias Kortkamp freebsd_committer 2016-01-07 21:09:40 UTC
I've proposed a fix here: https://github.com/freebsd/pkg/pull/1371
Comment 2 Andrew Romanenko 2016-01-07 23:35:46 UTC
this patch exclude "User-Agent" string in the http header (if HTTP_USER_AGENT is empty)
Comment 3 Tobias Kortkamp freebsd_committer 2016-01-07 23:52:48 UTC
Updated the patch to set a default user agent in that case
Comment 4 Jason Unovitch freebsd_committer 2016-02-21 22:29:14 UTC
The fixes referenced in the pull request in comment 1 were part of pkg-1.6.3 release.
https://github.com/freebsd/pkg/commit/7ced9c23cba5d8b8b414893e0155c582712fbbc1
https://github.com/freebsd/pkg/commit/2198138887b23ce9fcfd16bbca9baaee112e2c4e
Comment 5 Jason Unovitch freebsd_committer 2016-02-21 22:30:54 UTC
Actually, it's still pkg-1.6.2 in 2016Q1, so reopen and set merge-quarterly?.  Sorry about that.
Comment 6 Andrew Romanenko 2016-02-22 21:59:53 UTC
yes, needs to create a new pull request? or it can be merged?
Comment 7 Jason Unovitch freebsd_committer 2016-03-02 02:09:41 UTC
(In reply to Andrew Romanenko from comment #6)
No action on your part is needed.  According to https://svnweb.FreeBSD.org/changeset/ports/407329 on 26 Jan pkg-1.6.3 was planned to be merge in 10 days.  This is just waiting on a pkg@ person to declare it or a subsequent version is ready to go.
Comment 8 Baptiste Daroussin freebsd_committer 2016-03-02 13:09:20 UTC
Another issue was fixed in the meantime, as soon as I consider latest pkg stable enough I will merge it.
Comment 9 Jason Unovitch freebsd_committer 2016-04-03 00:39:41 UTC
(In reply to Baptiste Daroussin from comment #8)
I'm marking this as closed now as 2016Q2 was branched with pkg-1.7.X and this issue was fixed in pkg-1.6.3.

Setting merge-quarterly- as it wasn't merged and it's irrelevant now.